org.wildfly.swarm.webservices

## Class WebServicesFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.Webservices<WebServicesFraction>
      - - org.wildfly.swarm.webservices.WebServicesFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<WebServicesFraction>

      public class WebServicesFraction
      extends Webservices<WebServicesFraction>
      implements Fraction<WebServicesFraction>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.Webservices

      `Webservices.WebservicesResources, Webservices.WsdlUriScheme`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebServicesFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WebServicesFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static WebServicesFraction` | `createDefaultFraction()`

    - ### Methods inherited from class org.wildfly.swarm.config.Webservices

      `addPropertyChangeListener, clientConfig, clientConfig, clientConfig, clientConfig, clientConfigs, endpointConfig, endpointConfig, endpointConfig, endpointConfig, endpointConfigs, getKey, modifyWsdlAddress, modifyWsdlAddress, removePropertyChangeListener, statisticsEnabled, statisticsEnabled, subresources, wsdlHost, wsdlHost, wsdlPathRewriteRule, wsdlPathRewriteRule, wsdlPort, wsdlPort, wsdlSecurePort, wsdlSecurePort, wsdlUriScheme, wsdlUriScheme`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### WebServicesFraction

          public WebServicesFraction()

  - ### Method Detail

    - #### createDefaultFraction

          public static WebServicesFraction createDefaultFraction()

    - #### applyDefaults

          public WebServicesFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<WebServicesFraction>`
      Returns:
        this fraction.

Copyright © 2018 JBoss by Red Hat. All rights reserved.